<app-header></app-header>

<div class="container-fluid" style="padding-left: 120px; padding-top: 110px; padding-right: 30px;">
  <div class="row mb-4 justify-content-between">
    <div class="col-6">
      <h1>Lista de Usuários</h1>
      <ol class="ibreadcrumb">
        <li class="ibreadcrumb-item"><a href="#">Dashboard</a></li>
        <li class="ibreadcrumb-item">Configurações</li>
        <li class="ibreadcrumb-item active" aria-current="page">Lista de Usuários</li>
      </ol>
    </div>
    <div class="col-6 text-right">
      <a href="restaurante/usuarios/adicionar" class="btn btn-iprimary">Adicionar novo usuário</a>
    </div>    
  </div>

  <div class="row">
    <div class="col-3">
      <div class="form-group">
        <label>Busca por</label>
        <input class="form-control">
      </div>
    </div>
    <div class="col-3">
      <div class="form-group">
        <label>&nbsp;</label>
        <input class="form-control date" type="date">
      </div>
    </div>
    <div class="col-3 pt-3">
      <button class="btn btn-iprimary-outline mt-3">Buscar</button>
    </div>
  </div>

  <div class="row mt-4">
    <div class="col-12">
      <div class="top-table-list-user mt-1 mb-1">
        <div class="code">Código</div>
        <div class="name">Nome</div>
        <div class="email">E-mail</div>
        <div class="user">Usuário</div>
      </div>
    </div>

    <div class="col-12 mt-2 mb-2" *ngFor="let list of listUsers">
      <div class="item-user-list box-shadow rounded-i">
        <div class="code">
          <div class="status-user mr-3"  [ngClass]="{'user-active' : list.status}"></div>
          <p class="mb-0">{{list.code}}</p>
        </div>
        <div class="name">
          <p class="mb-0">{{list.name}}</p>
        </div>
        <div class="email">
          <p class="mb-0">{{list.email}}</p>
        </div>
        <div class="user">
          <p class="mb-0">{{list.user}}</p> 
        </div>
      </div>
    </div>
  </div>

</div>
  